TCPDROP(8)

NAME
tcpdrop - drop a TCP connection

SYNOPSIS
tcpdrop local-addr local-port remote-addr remote-port
tcpdrop local-addr:local-port remote-addr:remote-port

DESCRIPTION
The tcpdrop command drops the TCP connection specified by the local address local-addr, port local-port and the foreign address remote-addr, port remote-port. Addresses and ports can be specified by name or numeric value.

EXAMPLES
If a connection to httpd(8) is causing congestion on a network link, one can drop the TCP session in charge:

    $ fstat | grep 'httpd.*internet.*--'
    www      httpd      21307    3* internet stream tcp \
    	0xd1007ca8 192.168.5.41:80 -- 192.168.5.1:26747

Either of the following commands will drop the connection:

    # tcpdrop 192.168.5.41 80 192.168.5.1 26747
    # tcpdrop 192.168.5.41:80 192.168.5.1:26747

SEE ALSO
fstat(1), netstat(1)

HISTORY
The tcpdrop program first appeared in OpenBSD 3.6.

AUTHORS
-nosplit The tcpdrop program was written by Markus Friedl <markus@openbsd.org>.